Sisimai::Reason::NotCompliantRFC(3pm)

NAME
Sisimai::Reason::NotCompliantRFC - Bounce reason is "notcompliantrfc" or not.

SYNOPSIS
    use Sisimai::Reason::NotCompliantRFC;
    print Sisimai::Reason::NotCompliantRFC->match('This message is not RFC 5322 compliant.');   # 1

DESCRIPTION
"Sisimai::Reason::NotCompliantRFC" checks the bounce reason is "notcompliantrfc" or not. This class is called only from "Sisimai::Reason class".

This is the error that the email is not compliant RFC 5322 or other email related RFCs. For example, there are multiple "Subject" headers in the email.

    host aspmx.l.google.com[142.251.170.26] said: This message is not RFC 5322 compliant. There are
    multiple Subject headers. To reduce the amount of spam sent to Gmail, this message has been
    blocked. Please visit https://support.google.com/mail/?p=RfcMessageNonCompliant and review RFC
    5322 specifications for more information. - gsmtp (in reply to end of DATA command)",

CLASS METHODS

  "text()"
text() method returns the fixed string "notcompliantrfc".

    print Sisimai::Reason::NotCompliantRFC->text;  # notcompliantrfc

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::NotCompliantRFC->match('This message is not RFC 5322 compliant');    # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "notcompliantrfc". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2024-2025 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.